Subject: Re: [ANNOUNCE] linux-staging tree created

From: Greg KH <[email-masked]>
Date: Wed, 11 Jun 2008 09:24:14 -0700

On Wed, Jun 11, 2008 at 02:00:12PM +1000, Nigel Cunningham wrote:
> Hi Greg.
> 
> On Tue, 2008-06-10 at 20:29 -0700, Greg KH wrote:
> > On Wed, Jun 11, 2008 at 11:05:46AM +1000, Nigel Cunningham wrote:
> > > Hi.
> > > 
> > > Would you consider including TuxOnIce in it?
> > > 
> > > I do still want to get it merged and would appreciate feedback.
> > 
> > Is the patch "stand-alone", only adding new code in discrete chunks like
> > a new driver or filesystem would?
> 
> The patch I distribute now does have a few parts to it that could be
> separated into distinct patches (cryptoapi LZF support, fuse freezer
> support), but the bulk of it is TuxOnIce itself, which just adds new
> files and inserts the hooks necessary to share the lowlevel code with
> [u]swsusp. I think, therefore, it would akin to adding a new driver or
> filesystem.
> 
> > If not, I don't think it is relevant.  Odds are you want to be your own
> > series of patches, like we discussed years ago, right?
> 
> I don't think I do want to have my own series of patches, because
> TuxOnIce doesn't remove or rework swsusp or uswsusp, but sits along side
> them. I'm not trying to mutate swsusp into TuxOnIce, because that would
> require a complete rework of swsusp from the ground up (TuxOnIce does
> everything but the atomic copy/restore and associated prep/cleanup
> differently).

Like always, you need to divide your changes up into logical chunks in
order to get them approved and reviewed.  For such a core functionality
like suspend, this is extra important.

I do not think that -staging is proper for this kind of feature at this
point in time.

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-next" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html